$(document).ready(function(){	

	$.fn.tagName = function() {
		if(this.get(0))
			return this.get(0).tagName;
		else
			return '';
	}			

    function collapseAllSubMenus()
    {
        $(".side_links_mini").each(function()
        {
          if($(this).css("display") != "none")
              $(this).slideUp("slow");
        });
    }
	//disable empty links
	$("a").click(function(){
		if($(this).attr("href") == "#" && $(this).next().tagName() =="DIV" && $(this).next().hasClass("side_links_mini"))
		{
            collapseAllSubMenus();
			$(this).next().slideToggle('slow');
			return false;
		}
	});

	$(".side_links").children().each(function(){		
		if($(this).next().tagName() == "DIV" && !$(this).hasClass("active"))
        {
            var hasActiveSubmenuItem = false;

           jQuery($(this).next().children(),"a").each(function(){
               if($(this).hasClass("active"))
                   hasActiveSubmenuItem = true;
           });

            if(!hasActiveSubmenuItem)
                $(this).next().hide();
        }
	});
});	